Bug 579309 - SELinux is preventing /usr/libexec/nm-openconnect-service "relabelto" access .
Summary: SELinux is preventing /usr/libexec/nm-openconnect-service "relabelto" access ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:d2bb56364ad...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 03:12 UTC by Trevor
Modified: 2010-09-06 03:10 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.7.19-15.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 21:48:03 UTC


Attachments (Terms of Use)

Description Trevor 2010-04-04 03:12:27 UTC
Summary:

SELinux is preventing /usr/libexec/nm-openconnect-service "relabelto" access .

Detailed Description:

SELinux denied access requested by nm-openconnect-. It is not expected that this
access is required by nm-openconnect- and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:system_r:NetworkManager_t:s0
Target Objects                None [ tun_socket ]
Source                        nm-openconnect-
Source Path                   /usr/libexec/nm-openconnect-service
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           NetworkManager-
                              openconnect-0.7.996-4.git20090921.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-106.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.10-90.fc12.x86_64 #1 SMP Tue Mar
                              23 09:47:08 UTC 2010 x86_64 x86_64
Alert Count                   15
First Seen                    Sat 03 Apr 2010 05:13:11 PM PDT
Last Seen                     Sat 03 Apr 2010 05:21:42 PM PDT
Local ID                      c7d28eb4-cb2c-4b91-b9f2-d65d44e0bd65
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1270340502.3:27732): avc:  denied  { relabelto } for  pid=12640 comm="nm-openconnect-" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=tun_socket

node=(removed) type=SYSCALL msg=audit(1270340502.3:27732): arch=c000003e syscall=16 success=no exit=-13 a0=4 a1=400454ca a2=7fffcb00ebd0 a3=7fffcb00ebd0 items=0 ppid=1391 pid=12640 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="nm-openconnect-" exe="/usr/libexec/nm-openconnect-service" subj=system_u:system_r:NetworkManager_t:s0 key=(null)



Hash String generated from  catchall,nm-openconnect-,NetworkManager_t,NetworkManager_t,tun_socket,relabelto
audit2allow suggests:

#============= NetworkManager_t ==============
allow NetworkManager_t self:tun_socket relabelto;

Comment 1 Miroslav Grepl 2010-04-06 06:06:17 UTC
It was fixed in selinux-policy-targeted-3.6.32-108.fc12.noarch

Execute:

su -c 'yum --enablerepo=updates-testing update selinux-policy'

Comment 2 Jarmo 2010-05-11 16:25:08 UTC
Same problem on F13 Beta/RC.

Comment 3 Jarmo 2010-05-11 16:26:47 UTC
selinux-policy-targeted-3.7.19-13.fc13.noarch

Comment 4 Daniel Walsh 2010-05-11 17:38:31 UTC
Fixed in selinux-policy-3.7.19-15.fc13.noarch

Comment 5 Fedora Update System 2010-05-11 21:17:22 UTC
selinux-policy-3.7.19-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13

Comment 6 Jarmo 2010-05-12 06:13:43 UTC
Tested with
selinux-policy-3.7.19-15.fc13
and it fixed this issue.
Thank you for fast resolution!

Comment 7 Fedora Update System 2010-05-12 12:20:07 UTC
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13

Comment 8 Fedora Update System 2010-05-15 20:22:22 UTC
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13

Comment 9 Jarmo 2010-05-16 09:54:00 UTC
Although the openconnect works now fine as mentioned before, still get this error always after disconnect openconnect:
-------------------

SELinux is preventing /usr/libexec/nm-openconnect-service "relabelfrom" access .

SELinux denied access requested by nm-openconnect-. It is not expected that this
access is required by nm-openconnect- and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.
...


node=localhost.localdomain type=AVC msg=audit(1274001905.4:28918): avc:  denied  { relabelfrom } for  pid=4653 comm="nm-openconnect-" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:vpnc_t:s0 tclass=tun_socket

node=localhost.localdomain type=SYSCALL msg=audit(1274001905.4:28918): arch=40000003 syscall=54 success=no exit=-13 a0=8 a1=400454ca a2=bfe2150c a3=bfe2150c items=0 ppid=1338 pid=4653 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="nm-openconnect-" exe="/usr/libexec/nm-openconnect-service" subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Comment 10 Daniel Walsh 2010-05-17 13:20:25 UTC
Fixed in selinux-policy-3.7.19-17.fc13.noarch

Comment 11 Jarmo 2010-05-17 17:15:44 UTC
Tested selinux-policy-3.7.19-17.fc13.noarch and this resolves previous "relabelfrom" issue.
Thanks again!

Comment 12 Fedora Update System 2010-05-18 21:46:52 UTC
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.